
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

public class _control_selector_in_m extends JMCADObject {

    public JButton bt = new JButton();
    public ImageIcon img_0 = new ImageIcon(this.getClass().getResource("_control_selector_in_m_a.gif"));
    public ImageIcon img_1 = new ImageIcon(this.getClass().getResource("_control_selector_in_m_b.gif"));
    public ImageIcon img_2 = new ImageIcon(this.getClass().getResource("_control_selector_in_m_c.gif"));
    public int index_in = 0;

    public void write(RandomAccessFile fout) throws IOException {
        super.write(fout);
        fout.writeBytes("selected = " + index_in + "\n");
    }

    public void parse(String pst) {
        super.parse(pst);
        StringTokenizer stt = new StringTokenizer(pst, "\n");
        while (stt.hasMoreTokens()) {
            try {
                String st = stt.nextToken();
                st = st.trim();
                if (st.length() != 0) {
                    StringTokenizer stt0 = new StringTokenizer(st, " =,\t");
                    String st0 = stt0.nextToken();
                    if (st0.equalsIgnoreCase("SELECTED")) {
                        st0 = stt0.nextToken();
                        try {
                            index_in = Integer.parseInt(st0);
                            switch (index_in) {
                                case 0:
                                    bt.setIcon(img_0);
                                    break;
                                case 1:
                                    bt.setIcon(img_1);
                                    break;
                                case 2:
                                    bt.setIcon(img_2);
                                    break;
                            }
                        } catch (Exception e3) {
                            error(e3);
                        }
                    }
                }
            } catch (Exception e1) {
                error(e1);
            }
        }
        this.remove(this.panel_c);
        this.add(bt, BorderLayout.CENTER);
    }

    public _control_selector_in_m() {
        this.isVisual = true;
        ToolTipText = ResourceBundle.getBundle("JMCAD_Internationalize").getString("The_switch_of_contacts.");
        in = new double[3];
        in[0] = Double.NaN;
        in[1] = Double.NaN;
        in[2] = Double.NaN;
        in_text = new String[3];
        in_text[0] = "IN0";
        in_text[1] = "IN1";
        in_text[2] = "IN2";
        out = new double[1];
        out[0] = Double.NaN;
        out_text = new String[1];
        out_text[0] = "OUT";
        out_obj = new Object[1];
        out_obj_index = new int[1];
        w = 76;
        h = 36;

        bt.addActionListener(new ActionListener() {

            public void actionPerformed(ActionEvent e) {
                index_in++;
                if (index_in >= 3) {
                    index_in = 0;
                }
                switch (index_in) {
                    case 0:
                        bt.setIcon(img_0);
                        break;
                    case 1:
                        bt.setIcon(img_1);
                        break;
                    case 2:
                        bt.setIcon(img_2);
                        break;
                }
            }
        });
        bt.setIcon(img_0);

        bt.setToolTipText(ToolTipText);
        bt.setMargin(new Insets(0, 0, 0, 0));
        this.remove(this.panel_c);
        try {
            init();
        } catch (Exception e) {
            e.printStackTrace();
        }
        this.add(bt, BorderLayout.CENTER);
    }

    public void calc() {
        out[0] = in[index_in];
        in[0] = Double.NaN;
        in[1] = Double.NaN;
        in[2] = Double.NaN;
    }

    public void paint_info(Graphics g) {
    }
}
