

import javax.swing.*;
import java.awt.*;
import java.util.*;

public class _sinusoidal_wave_control extends _sinusoidal_wave{
  private final Image img = new ImageIcon(this.getClass().getResource("_sinusoidal_wave_control.gif")).getImage();
    

  public _sinusoidal_wave_control() {
    isGeneranor = true;
    ToolTipText = ResourceBundle.getBundle("JMCAD_Internationalize").getString("Sinusoidal_wave_control");
    in = new double[4];
    in[0] = Double.NaN; in[1] = Double.NaN; in[2] = Double.NaN; in[3] = Double.NaN;
    in_text = new String[4];
    in_text[0] = "IN0(a)"; in_text[1] = "IN1(b)"; in_text[2] = "IN2(c)"; in_text[3] = "IN3(d)";
    out = new double[1];
    out[0] = Double.NaN;
    out_text = new String[1];
    out_text[0] = "OUT";
    out_obj = new Object[1];
    out_obj_index = new int[1];
    w = 80;
    h = 36;
    this.panel_c.setBackground(Color.GREEN);
    try { init(); }catch(Exception e) { e.printStackTrace(); }
  }

  public void paint_info(Graphics g){
    g.drawImage(img,panel_c.getWidth()/2-18,panel_c.getHeight()/2-18,this);
  }

  public void start(long t0, long ti, long dt){
    if(!Double.isNaN(in[0]))a=in[0];
    if(!Double.isNaN(in[1]))b=in[1];
    if(!Double.isNaN(in[2]))c=in[2];
    if(!Double.isNaN(in[3]))d=in[3];
    out[0]=Math.sin(((ti - t0)/a)+d)*b/2.0f+c;
    put();
    in[0]=Double.NaN;
    in[1]=Double.NaN;
    in[2]=Double.NaN;
    in[3]=Double.NaN;
  }
  public void calc_post(){b*=2;}
  

  

}
